package com.sun.corba.se.pept.protocol;

import com.sun.corba.se.pept.broker.Broker;
import org.omg.CORBA.portable.RemarshalException;
import org.omg.CORBA.portable.ApplicationException;
import com.sun.corba.se.pept.encoding.InputObject;
import com.sun.corba.se.pept.encoding.OutputObject;
import com.sun.corba.se.pept.transport.ContactInfo;

public interface ClientRequestDispatcher
{
    public abstract OutputObject beginRequest(Object p0, String p1, boolean p2, ContactInfo p3);
    
    public abstract InputObject marshalingComplete(Object p0, OutputObject p1) throws ApplicationException, RemarshalException;
    
    public abstract void endRequest(Broker p0, Object p1, InputObject p2);
}
